### Method

# Fwupd SecurityAttr get_obsoletes

since: 1.5.0

#### Declaration [src]

    GPtrArray*
    fwupd_security_attr_get_obsoletes (
      FwupdSecurityAttr* self
    )

#### Description [src]

Gets the list of attribute obsoletes. The obsoleted attributes will not contribute to the calculated HSI value or be visible in command line tools.

Available since: 1.5.0

#### Return value

Type: An array of `utf8`

The obsoletes, which may be empty.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.